<?php



class TblblogusercheckMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogusercheckMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogusercheckPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogusercheckPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogusercheck');
		$tMap->setClassname('Tblblogusercheck');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('UC_USER', 'UcUser', 'INTEGER' , 'tbluser', 'US_ID', true, null);

		$tMap->addPrimaryKey('UC_CHECKER', 'UcChecker', 'INTEGER', true, null);

		$tMap->addColumn('UC_APPROVE', 'UcApprove', 'TINYINT', true, null);

		$tMap->addColumn('UC_CHECKDATE', 'UcCheckdate', 'TIMESTAMP', true, null);

	} 
} 